package com.tofly.watermeter.custom.mapper.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.WeekSpotCheckConditionDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface WeekSpotCheckMapper {

    List<Map> count(@Param("dto") WeekSpotCheckConditionDto dto);

    /**
     * 移交信息
     */
    List<Map> queryInfo(@Param("dto") WeekSpotCheckConditionDto dto);

    Page<Map> queryInfo(Page page, @Param("dto") WeekSpotCheckConditionDto dto);

    /**
     * 周检记录
     */
    List<Map> queryWeekInfo(@Param("dto") WeekSpotCheckConditionDto dto);

    Page<Map> queryWeekInfo(Page page, @Param("dto") WeekSpotCheckConditionDto dto);

    Page<Map> getTurnOverTable(Page page, @Param("type") Long type, @Param("vendor") Long vendor, @Param("cal") Long cal, @Param("tableType") Long tableType, @Param("dto") String dto, @Param("lsbh") String lsbh);

    Map<String, Long> getCheckNum(@Param("lsbh") String lsbh, @Param("cal") Long cal, @Param("yjlx") Long yjlx,@Param("tableName") String tableName);


}
